﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19x (1 yr) A Video RS-232 /5520+S6
DATE:                  2018-01-08 12:17:10
AUTHOR:                Fluke
REVISION:              $Revision: 22097 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       158
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DT, GMO, DFM, VY
#
#  Models covered:
#        Fluke 19x ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {VIDEO TEST}
  1.003  CALL         Sub Fluke ScopeMeter Default Setup RS-232
  1.004  DISP         It is only necessary to test one video format, e.g.,
  1.004  DISP         NTSC, PAL, or SECAM, to verify proper instrument
  1.004  DISP         operation.
  1.004  DISP
  1.004  DISP         Note that the NTSC video format is most commonly used
  1.004  DISP         in the U.S.

  1.005  DO
# A: 2V/div, Manual, Video on A, +NTSC, line 525, Trigger Pos 1 div, 20 µs/div
  1.006  CALL         Sub Fluke ScopeMeter Program Setup RS-232
# Command too long for single statement. Cannot use OTERM.
  1.007  PORT         [OTERM NONE]
  1.008  PORT         #0[32][10][0][2][128][0][128][32][11][0][1][3][3][32][13][0][2][0][0][0][32][14][0][5][0][0][0][16][255][15][32][35][0][2][128][3][131][32][100][0][1][1][1][32][103][0][2][2][10][12][32][105][0][2][0][0][0]
  1.009  PORT         [32][106][0][7][1][128][1][2][13][2][0][147][32][107][0][8][192][2][0][0][0][0][8][251][197][32][109][0][1][128][128][32][111][0][5][0][0][0][2][252][254][32][113][0][5][255][255][255][254][251][246][32][115][0][1][0][0]
  1.010  PORT         [160][140][0][3][2][45][9][56][13]
  1.011  PORT         [OTERM CR]
  1.012  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232

  1.013  DO
  1.014  MEMI         Which format to test? (1) SECAM (2) PAL (3) NTSC
  1.015  UNTIL        MEM == 1 || MEM == 2 || MEM == 3

  1.016  IF           MEM == 1
  1.017  RSLT         =
  1.018  HEAD         -2{SECAM Line 622}: Positive
  1.019  TARGET
  1.020  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  1.021  PORT         #0[160][106][0][7][1][128][1][2][110][3][0][245]
  1.022  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.023  5520         100pct                       622LM          F4 S6 S  L
  1.024  DISP         Observe the UUT trace, verifying that it is triggered
  1.024  DISP         on the positive pulse before the marker.
  1.025  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?

  2.001  RSLT         =
  2.002  HEAD         -2{SECAM Line 310}: Positive
  2.003  TARGET
  2.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  2.005  PORT         #0[160][106][0][7][1][128][1][1][54][3][0][188]
  2.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.007  5520         100pct                       310LM          F4 S6 S  L
  2.008  DISP         Observe the UUT trace, verifying that it is triggered
  2.008  DISP         on the positive pulse before the marker.
  2.009  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?

  3.001  HEAD         -2 SECAM Line 310: Negative
  3.002  TARGET
  3.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  3.004  PORT         #0[160][106][0][7][1][0][1][1][54][3][0][60]
  3.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.006  5520         -100pct                      310LM          F4 S6 S  L
  3.007  DISP         Observe the UUT trace, verifying that it is triggered
  3.007  DISP         on the negative pulse before the marker.
  3.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  4.001  ELSEIF       MEM == 2
  4.002  RSLT         =
  4.003  HEAD         -2{PAL Line 622}: Positive
  4.004  TARGET
  4.005  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  4.006  PORT         #0[160][106][0][7][1][128][1][2][110][0][0][242]
  4.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  4.008  5520         100pct                       622LM          F2 S6 S  L
  4.009  DISP         Observe the UUT trace, verifying that it is triggered
  4.009  DISP         on the positive pulse before the marker.
  4.010  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?

  5.001  RSLT         =
  5.002  HEAD         -2{PAL Line 310}: Positive
  5.003  TARGET
  5.004  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  5.005  PORT         #0[160][106][0][7][1][128][1][1][54][0][0][185]
  5.006  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  5.007  5520         100pct                       310LM          F2 S6 S  L
  5.008  DISP         Observe the UUT trace, verifying that it is triggered
  5.008  DISP         on the positive pulse before the marker.
  5.009  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?

  6.001  HEAD         -2 PAL Line 310: Negative
  6.002  TARGET
  6.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  6.004  PORT         #0[160][106][0][7][1][0][1][1][54][0][0][57]
  6.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.006  5520         -100pct                      310LM          F2 S6 S  L
  6.007  DISP         Observe the UUT trace, verifying that it is triggered
  6.007  DISP         on the negative pulse before the marker.
  6.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?

  7.001  ELSE
  7.002  RSLT         =
  7.003  HEAD         -2{NTSC Line 262}: Positive
  7.004  TARGET
  7.005  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  7.006  PORT         #0[160][106][0][7][1][128][1][1][6][2][0][139]
  7.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  7.008  M5520  ODD
  7.009  5520         1Vp                          262LM          F1 S6 S  L
  7.010  DISP         Observe the UUT trace, verifying that it is triggered
  7.010  DISP         on the positive pulse before the marker.
  7.011  EVAL   -s " Positive Trigger" : Did the UUT trigger correctly?

  8.001  HEAD         -2 NTSC Line 262: Negative
  8.002  TARGET
  8.003  CALL         Sub Fluke ScopeMeter Program Setup RS-232
  8.004  PORT         #0[160][106][0][7][1][0][1][1][6][2][0][11]
  8.005  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.006  5520         -1Vp                         262LM          F1 S6 S  L
  8.007  DISP         Observe the UUT trace, verifying that it is triggered
  8.007  DISP         on the negative pulse before the marker.
  8.008  EVAL   -s " Negative Trigger" : Did the UUT trigger correctly?
  9.001  M5520        *
  9.002  ENDIF

  9.003  5520         *                                                 S
  9.004  OPBR         -z [NO]Do you want to test another video format?
  9.005  UNTIL        NOT(MEM1)

  9.006  HEAD         -2
  9.007  END
